सामग्री पर जाएँ

Chrono Edit Lora Gallery · Paintbrush

इंटीग्रेट करें

मॉडल id chrono-edit-lora-gallery/paintbrush
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/chrono-edit-lora-gallery/paintbrush?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.02 20 API क्रेडिट · ≈ ₽2.15 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
NVIDIA इमेज एडिटिंग 720p तक #paint#edit#sketch

स्केच-निर्देशित इमेज एडिट, जिसमें पेंट किए गए क्षेत्रों को प्रॉम्प्ट के अनुसार बदला जाता है

NVIDIA · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

स्केच किए गए क्षेत्रों में लागू किए जाने वाले परिवर्तनों का वर्णन।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

संपादन के लिए दी गई इमेज।

resolution डिफ़ॉल्ट 480p

परिणामी इमेज का रिज़ॉल्यूशन।

उन्नत mask · output_format · num_inference_steps · guidance_scale · lora_scale · seed · enable_safety_checker · turbo_mode · loras
mask_url
फ़ाइल ड्रॉप करें, या

वैकल्पिक इमेज mask, जिसके काले क्षेत्र बताते हैं कि कहाँ स्केच या पेंट करना है।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 8

किए जाने वाले denoising iterations की कुल संख्या।

डिफ़ॉल्ट 1

classifier-free guidance की strength।

डिफ़ॉल्ट 1

LoRA adapter पर लागू किया गया scaling multiplier।

inference के दौरान उपयोग किया गया seed।

डिफ़ॉल्ट []

मर्ज करने के लिए अतिरिक्त LoRAs का वैकल्पिक सेट, अधिकतम 3।

POST /run/chrono-edit-lora-gallery/paintbrush?wait=20 कोटेशन → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/chrono-edit-lora-gallery/paintbrush?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Chrono Edit Lora Gallery · Paintbrush के बारे में

इमेज पर आपके द्वारा स्केच किए गए क्षेत्रों को `prompt` के अनुसार बदलकर इमेज संपादित करता है। वैकल्पिक `mask_url` पेंट किए जाने वाले क्षेत्रों को चिह्नित करता है, जिसमें काले क्षेत्र स्थान दर्शाते हैं। `lora_scale` 0 से 2 तक होता है, रिज़ॉल्यूशन 480p या 720p है और आउटपुट डिफ़ॉल्ट रूप से png होता है। `loras` के माध्यम से अधिकतम 3 अतिरिक्त LoRAs मर्ज किए जा सकते हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
संपादन के लिए दी गई इमेज।
mask_urlवैकल्पिक mask
प्रकारurl · image
वैकल्पिक इमेज mask, जिसके काले क्षेत्र बताते हैं कि कहाँ स्केच या पेंट करना है।
promptआवश्यक
प्रकारstring
स्केच किए गए क्षेत्रों में लागू किए जाने वाले परिवर्तनों का वर्णन।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट8
2 – 50
किए जाने वाले denoising iterations की कुल संख्या।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 10
classifier-free guidance की strength।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट480p
480p720p
परिणामी इमेज का रिज़ॉल्यूशन।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा-जाँच स्विच, जिसकी off सेटिंग केवल अधिकृत खातों के लिए मान्य होती है। उस प्राधिकरण के बिना सभी अनुरोधों की सुरक्षा-जाँच की जाती है।
lora_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 2
LoRA adapter पर लागू किया गया scaling multiplier।
seedवैकल्पिक
प्रकारinteger | null
inference के दौरान उपयोग किया गया seed।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
turbo_modeवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
तेज़ inference के लिए Turbo mode टॉगल।
lorasवैकल्पिक
प्रकारobject[]
डिफ़ॉल्ट[]
मर्ज करने के लिए अतिरिक्त LoRAs का वैकल्पिक सेट, अधिकतम 3।
loras[].pathआवश्यक
प्रकारstring
Safetensors फ़ॉर्मैट में LoRA weights का स्थान, URL या path के रूप में निर्दिष्ट।
loras[].scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 4
LoRA की strength निर्धारित करने वाला scaling multiplier।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "chrono-edit-lora-gallery/paintbrush",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}संपादन से परिणामी इमेज।
prompt
stringinference प्रक्रिया को दिया गया प्रॉम्प्ट।
seed
integerinference के दौरान उपयोग किया गया seed।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/chrono-edit-lora-gallery/paintbrush.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt